<?php
$max = 1000;
$file_list = glob("img/*.png");

make("vdata",30,$max,$file_list);
make("hdata",1,$max,$file_list);

function make($dir,$len,$max,$file_list) {
	$offset = 0;
	while ($offset < $max) {
		$path = $dir. DIRECTORY_SEPARATOR . $offset . ".html";
		file_put_contents($path,getContent($offset,$len,$max,$file_list));
		
		$offset += $len;
	}
}

function getContent($offset,$len,$max,$file_list) {
	$html = '';
	srand((float) microtime() * 10000000);
	while ($len--) {
		$rand_keys = array_rand($file_list);
		$img = $file_list[$rand_keys];
		$html .= "<span class='box'>&nbsp<img src='$img' alt='$offset' longdesc='$img' /></span>";
		if (++$offset >= $max) {
			return $html;
		}
	}
	return $html;
}
?>